package com.webengage.inbox;

import androidx.annotation.NonNull;

import com.facebook.react.ReactPackage;
import java.util.Collections;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;

import java.util.List;
import java.util.ArrayList;

public class WEInboxPackage implements ReactPackage {
  @NonNull
  @Override
  public List<NativeModule> createNativeModules(@NonNull ReactApplicationContext reactContext) {
    List<NativeModule> modules = new ArrayList<>();

    modules.add(WEInboxBridge.getInstance(reactContext));
    WEInboxBridge.getInstance(reactContext).setReactNativeContext(reactContext);
    return modules;
  }

  @NonNull
  @Override
  public List<ViewManager> createViewManagers(@NonNull ReactApplicationContext reactContext) {
    return Collections.emptyList();
  }
}
