#import <React/RCTBridgeModule.h>
#import <React/RCTLog.h>
#import <React/RCTEventEmitter.h>

@interface RCT_EXTERN_MODULE(WEInboxBridge, RCTEventEmitter)

RCT_EXTERN_METHOD(supportedEvents)

RCT_EXTERN_METHOD(initWENotificationInbox)

RCT_EXTERN_METHOD(onNotificationIconClick)

RCT_EXTERN_METHOD(getNotificationCount:(RCTResponseSenderBlock)callback)

RCT_EXTERN_METHOD(getNotificationList:(NSString *)offset callback:(RCTResponseSenderBlock)callback)

RCT_EXTERN_METHOD(markRead:(NSDictionary)readMap)

RCT_EXTERN_METHOD(markUnread:(NSDictionary)readMap)

RCT_EXTERN_METHOD(markDelete:(NSDictionary)readMap)

RCT_EXTERN_METHOD(trackClick:(NSDictionary)readMap)

RCT_EXTERN_METHOD(trackView:(NSDictionary)readMap)

RCT_EXTERN_METHOD(readAll:(NSArray)notificationList)

RCT_EXTERN_METHOD(unReadAll:(NSArray)notificationList)

RCT_EXTERN_METHOD(deleteAll:(NSArray)notificationList)


+ (BOOL)requiresMainQueueSetup
{
    return NO;
}

@end
